Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1413174 - [abrt] parole: cogl_pipeline_new(): parole killed by SIGSEGV
Summary: [abrt] parole: cogl_pipeline_new(): parole killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: parole
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:18b72141d9a595063e173fcb767...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 19:56 UTC by woob
Modified: 2017-12-12 10:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:05:13 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.99 KB, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: core_backtrace (6.54 KB, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: dso_list (11.00 KB, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: environ (2.65 KB, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: maps (50.44 KB, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: mountinfo (3.36 KB, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: open_fds (858 bytes, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details
File: var_log_messages (305 bytes, text/plain)
2017-01-13 19:56 UTC, woob
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Xfce 11825 0 None None None 2017-01-13 21:26:47 UTC

Description woob 2017-01-13 19:56:15 UTC
Description of problem:
This problem occurs when attempting to open Parole, either through the menu or through the command line.

Version-Release number of selected component:
parole-0.8.1-2.fc24

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        parole /home/woob/Downloads/z3diJbGZhI4f3dJWtzf4hoxy3DbTuQwLrPcamJmjFvkHL4X6uAHZzuI6G3QWarDEBt968NfGG8zT4ScIRsTdIJZJ9VVvV3IFfktK0kJSJC4=
crash_function: cogl_pipeline_new
executable:     /usr/bin/parole
global_pid:     15187
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 cogl_pipeline_new at cogl-pipeline.c:435
 #1 clutter_texture_init at deprecated/clutter-texture.c:1316
 #2 g_type_create_instance at gtype.c:1866
 #3 g_object_constructor at gobject.c:2068
 #4 clutter_actor_constructor at clutter-actor.c:6243
 #5 g_object_new_with_custom_constructor at gobject.c:1701
 #6 g_object_new_internal at gobject.c:1781
 #7 g_object_new_valist at gobject.c:2042
 #9 parole_clutter_init at parole-clutter.c:337
 #10 g_type_create_instance at gtype.c:1866

Potential duplicate: bug 1276703

Comment 1 woob 2017-01-13 19:56:19 UTC
Created attachment 1240490 [details]
File: backtrace

Comment 2 woob 2017-01-13 19:56:21 UTC
Created attachment 1240491 [details]
File: cgroup

Comment 3 woob 2017-01-13 19:56:22 UTC
Created attachment 1240492 [details]
File: core_backtrace

Comment 4 woob 2017-01-13 19:56:23 UTC
Created attachment 1240493 [details]
File: dso_list

Comment 5 woob 2017-01-13 19:56:24 UTC
Created attachment 1240494 [details]
File: environ

Comment 6 woob 2017-01-13 19:56:25 UTC
Created attachment 1240495 [details]
File: exploitable

Comment 7 woob 2017-01-13 19:56:26 UTC
Created attachment 1240496 [details]
File: limits

Comment 8 woob 2017-01-13 19:56:27 UTC
Created attachment 1240497 [details]
File: maps

Comment 9 woob 2017-01-13 19:56:28 UTC
Created attachment 1240498 [details]
File: mountinfo

Comment 10 woob 2017-01-13 19:56:29 UTC
Created attachment 1240499 [details]
File: namespaces

Comment 11 woob 2017-01-13 19:56:30 UTC
Created attachment 1240500 [details]
File: open_fds

Comment 12 woob 2017-01-13 19:56:31 UTC
Created attachment 1240501 [details]
File: proc_pid_status

Comment 13 woob 2017-01-13 19:56:33 UTC
Created attachment 1240502 [details]
File: var_log_messages

Comment 14 woob 2017-01-13 20:08:20 UTC
Update: This appears to occur exclusively when Parole's "Video Output" preference is set to "Clutter (OpenGL)", or in terms of xfconf if parole's "/video/videosink" value is set to "cluttersink"

Comment 15 Kevin Fenzi 2017-01-13 21:26:47 UTC
This looks like https://bugzilla.xfce.org/show_bug.cgi?id=11825 upstream. 

No definite fix there as of yet aside from changing the backend you use.

Comment 16 Fedora Admin XMLRPC Client 2017-01-29 10:30:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 17 Fedora End Of Life 2017-11-16 15:13:47 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2017-12-12 10:05:13 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.